/**
 * @deprecated The interface should not be used, use accountId methods on IAuthenticatorApi
 */
export interface IHostWebAccountApi {
    getProperty(name: string): Promise<string>;
    getTokenAsync(clientId: string, scope: string, resource: string, apiVersion: string, requestSource: string, callback: (token: string, errorResult: number, userInteractionRequired: boolean) => void): void;
    getAccountPictureAsync(callback: (imageString: string) => void): void;
}
